#### Previous topic

scipy.signal.lsim2

#### Next topic

scipy.signal.impulse2

# scipy.signal.impulse

`scipy.signal.``impulse`(system, X0=None, T=None, N=None)

  Impulse response of continuous-time system.

  Parameters:

  system : an instance of the LTI class or a tuple of array_like

  > describing the system. The following gives the number of elements in the tuple and the interpretation:

  > > - 2 (num, den)
  > > - 3 (zeros, poles, gain)
  > > - 4 (A, B, C, D)

  X0 : array_like, optional

  > Initial state-vector. Defaults to zero.

  T : array_like, optional

  > Time points. Computed if not given.

  N : int, optional

  > The number of time points to compute (if T is not given).

  Returns:

  T : ndarray

  > A 1-D array of time points.

  yout : ndarray

  > A 1-D array containing the impulse response of the system (except for singularities at zero).